INTERFACE
SUBROUTINE m7 ( kidia, kfdia, klon, klev ,&
 & papp1, prelhum, ptp1, pdz ,&
 & pso4g, pso2g, paerml, paernl,&
 & pm6rp, pm6dry, prhop, pww ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YO_AERO_M7 ,ONLY : lsnucl, lscoag, lscond,&
 & nmod, nss, nsol, naermod 
INTEGER(KIND=JPIM),INTENT(IN) :: kidia, kfdia, klon, klev
REAL(KIND=JPRB),INTENT(IN) ::&
 & prelhum(klon ,klev), papp1(klon ,klev),&
 & ptp1(klon ,klev), pdz(klon ,klev),&
 & pso2g(klon ,klev) 
REAL(KIND=JPRB),INTENT(OUT)::&
 & paerml(klon ,klev,naermod), paernl(klon ,klev,nmod),&
 & pm6rp(klon ,klev,nmod), pm6dry(klon ,klev,nsol),&
 & prhop(klon ,klev,nmod), pww(klon ,klev,nmod) 
REAL(KIND=JPRB),INTENT(INOUT) :: pso4g(klon ,klev)
END SUBROUTINE m7
END INTERFACE
